apc_bin_dump
apc_bin_load
APC Functions
PHP Manual

# apc_bin_dumpfile

(PECL apc >= 3.1.4)

apc_bin_dumpfile — Output a binary dump of cached files and user variables to a file

### Description

int apc_bin_dumpfile ( array `$files` , array `$user_vars` , string `$filename` [, int `$flags` = 0 [, resource `$context` = NULL ]] )

Outputs a binary dump of the given files and user variables from the APC cache to the named file.

### Parameters

`files`

  The file names being dumped.

`user_vars`

  The user variables being dumped.

`filename`

  The filename where the dump is being saved.

`flags`

  Flags passed to the `filename` stream. See the file_put_contents() documentation for details.

`context`

  The context passed to the `filename` stream. See the file_put_contents() documentation for details.

### Return Values

The number of bytes written to the file, otherwise `FALSE` if APC is not enabled, `filename` is an invalid file name, `filename` can't be opened, the file dump can't be completed (e.g., the hard drive is out of disk space), or an unknown error was encountered.

### See Also

- apc_bin_dump() - Get a binary dump of the given files and user variables
- apc_bin_load() - Load a binary dump into the APC file/user cache

apc_bin_dump
apc_bin_load
APC Functions
PHP Manual